# Generated by Django 3.2.9 on 2021-11-18 10:06

from django.db import migrations


def recreate_user_info(apps, schema_editor):
    User = apps.get_model('accounts', 'User')
    UserInfo = apps.get_model('accounts', 'UserInfo')
    # We iterate User not UserInfo since all UserInfo objects will have
    # been removed if we are reversing
    for user in User.objects.all():
        # This makes a new UUID which means profile URLs will change.
        # Unfortunately this is necessary since we can't make the events migration which
        # migrates the Attendance reference back to UserInfo run in the same transaction
        user.info = UserInfo(contact=user.contact, picture=user.picture)
        user.info.save()


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0007_auto_20211118_0924'),
        ('events', '0012_auto_20211118_0943'),
    ]

    operations = [
        migrations.RunPython(
            code=migrations.RunPython.noop,
            reverse_code=recreate_user_info,
            elidable=True,
        ),
        migrations.DeleteModel(
            name='UserInfo',
        ),
    ]
